# fastangle::degrees Class Reference

fastangle representation in degrees More...

`#include <_fastangle.h>`

Inheritance diagram for fastangle::degrees:

List of all members.

## Public Member Functions

| degrees (const value_type &x)
| degrees (const fastangle &a)
degrees | mod () const
| Rotation Modulus.
degrees | dist (const fastangle &rhs) const
| fastangle Difference Function
| operator value_type () const
value_type | get () const

## Detailed Description

fastangle representation in degrees

========================================================================

A more detailed description needs to be written.

Definition at line 308 of file _fastangle.h.

## Constructor & Destructor Documentation

fastangle::degrees::degrees | ( | const value_type & | x | ) | `[inline]`

Definition at line 311 of file _fastangle.h.

References fastangle::v.

fastangle::degrees::degrees | ( | const fastangle & | a | ) | `[inline]`

Definition at line 312 of file _fastangle.h.

## Member Function Documentation

degrees fastangle::degrees::mod | ( |  | ) | const`[inline]`

Rotation Modulus.

This function will return the value of the fastangle between 0 and 2PI

Reimplemented from fastangle.

Definition at line 313 of file _fastangle.h.

References fastangle::mod().

degrees fastangle::degrees::dist | ( | const fastangle & | rhs | ) | const`[inline]`

fastangle Difference Function

This function will return the shortest physical distance between two angles, from -PI/2 to PI/2

Warning:
  Not yet tested

See also:
  fastangle operator-(const fastangle &)

Reimplemented from fastangle.

Definition at line 314 of file _fastangle.h.

References fastangle::dist().

fastangle::degrees::operator value_type | ( |  | ) | const`[inline]`

Definition at line 315 of file _fastangle.h.

value_type fastangle::degrees::get | ( |  | ) | const`[inline]`

Definition at line 316 of file _fastangle.h.

References fastangle::v.

The documentation for this class was generated from the following file:

- _fastangle.h